Lua_NpcTalkBaseWindow = class("Lua_NpcTalkBaseWindow", Lua_Window);
function Lua_NpcTalkBaseWindow:ctor()
	self:superCall("ctor");
	self.layer = 3000;
end

function Lua_NpcTalkBaseWindow:showWin(param)
	self:superCall("showWin",param);

	self.npc = param.npc;
	self.npcPoint = Vector3(self.npc.posX, 0, self.npc.posZ);
	Lua_CommonUtil.addTimer("NpcDistanceCloseNpcTalk", 1.5, self, self.checkDistanceClose);
end

function Lua_NpcTalkBaseWindow:checkDistanceClose()
	if PlayerData.getInstance().data == nil then
		return;
	end
	local px = PlayerData.getInstance().data.px;
	local py = 0;
	local pz = PlayerData.getInstance().data.pz;
	local pos = Vector3(px,py,pz);
	if pos ~= nil then
		local distance  = Vector3.Distance(pos, self.npcPoint);
		if distance >= 210 then
			self:hide();
		end
	end
end

function Lua_NpcTalkBaseWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.checkDistanceClose);
	self:superCall("dispose");
end