-- 新对话框
checkRequire("Lua_NpcTalkBaseWindow");
Lua_NpcTalkWindow = class("Lua_NpcTalkWindow", Lua_NpcTalkBaseWindow);
function Lua_NpcTalkWindow:ctor()
	self:superCall("ctor");
	
	self.blackAlpha = 180 / 255;
	self.showClose = false;
	self.isClickClose = true;

	self.windowName = "Lua_NpcTalkWindow";
	self.skinName = "NpcTalkWindow_skin";
end

function Lua_NpcTalkWindow:buildShowItem()
	self:superCall("buildShowItem");

	LuaUtil.setObjPos(self.content, 0, -MainWinDefine.V_height / 2 + 360, 0);

	self.npcImg:setEnable(false);

	self.npcWinBg.clickScale = false;
	self.npcWinBg:addClickFuntion(self, self.onBgClick);

	self.closeBtn:addClickFuntion(self, self.hide);
end

function Lua_NpcTalkWindow:showWin(param)
	self:superCall("showWin", param);

	self.data = param.npc;

	if self.data.imgUrl ~= nil then
		self.npcImg:SetDimensions(0, 0);
		self.npcImg:setUrl(self.data.imgUrl);
		self.npcImg:setEnable(true);
	end

	self.npcNameTxt.text = self.data.kind;
	if self.data  ~= nil then
		self.npcContentTxt.text = self.data.desc;
	end
end

function Lua_NpcTalkWindow:hide()
	self:superCall("hide");

	ThingUtil.instance:resetTargetDir(tostring(self.data.id), self.data.dir);
end